﻿/**Begin D:\PDM_UPGRADE\PDM1\ITP_constraint.sql **/
 EXEC P_ALTERPK 'PK_ITP_JTTHAN_ACCESSCONFIG', 'T_ITP_JTTHAN_ACCESSCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_ITP_JTTHAN_ACCESSCONFIG' AND KSQL_INDNAME = 'IDX_ACCESSCFG_NUMBER') CREATE INDEX IDX_ACCESSCFG_NUMBER ON T_ITP_JTTHAN_ACCESSCONFIG ( FNUMBER );


 EXEC P_ALTERPK 'PK_ITP_JTTHAN_ACCESSCONFIG_L', 'T_ITP_JTTHAN_ACCESSCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_ITP_JTTHAN_ACCESSCONFIG_L' AND KSQL_INDNAME = 'IDX_JTTHAN_ACCESSCFG_L_0') CREATE INDEX IDX_JTTHAN_ACCESSCFG_L_0 ON T_ITP_JTTHAN_ACCESSCONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_ITP_JTTHAN_CONFIG_ENTRY', 'T_ITP_JTTHAN_CONFIG_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_ITP_JTTHAN_CONFIG_ENTRY' AND KSQL_INDNAME = 'IDX_ITP_JTTHAN_CONFIG_ENTRY_FK') CREATE INDEX IDX_ITP_JTTHAN_CONFIG_ENTRY_FK ON T_ITP_JTTHAN_CONFIG_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_ITP_JTTHAN_PLAN_ORGS', 'T_ITP_JTTHAN_PLAN_ORGS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_ITP_JTTHAN_PLAN_ORGS' AND KSQL_INDNAME = 'IDX_ITP_JTTHAN_PLAN_ORGS_FK') CREATE INDEX IDX_ITP_JTTHAN_PLAN_ORGS_FK ON T_ITP_JTTHAN_PLAN_ORGS ( FID );


 EXEC P_ALTERPK 'PK_ITP_JTTHAN_PLAN_RULES', 'T_ITP_JTTHAN_PLAN_RULES', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_ITP_JTTHAN_PLAN_RULES' AND KSQL_INDNAME = 'IDX_ITP_JTTHAN_PLAN_RULES_FK') CREATE INDEX IDX_ITP_JTTHAN_PLAN_RULES_FK ON T_ITP_JTTHAN_PLAN_RULES ( FID );


 EXEC P_ALTERPK 'PK_ITP_JTTHAN_SHARDINGPLAN', 'T_ITP_JTTHAN_SHARDINGPLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_ITP_JTTHAN_SHARDINGPLAN' AND KSQL_INDNAME = 'IDX_SHARDINGPLAN_NUMBER') CREATE INDEX IDX_SHARDINGPLAN_NUMBER ON T_ITP_JTTHAN_SHARDINGPLAN ( FNUMBER );


 EXEC P_ALTERPK 'PK_ITP_JTTHAN_SHARDINGPLAN_L', 'T_ITP_JTTHAN_SHARDINGPLAN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_ITP_JTTHAN_SHARDINGPLAN_L' AND KSQL_INDNAME = 'IDX_JTTHAN_SHARPLAN_L_0') CREATE INDEX IDX_JTTHAN_SHARPLAN_L_0 ON T_ITP_JTTHAN_SHARDINGPLAN_L ( FID ,FLOCALEID );



/**End D:\PDM_UPGRADE\PDM1\ITP_constraint.sql **/
